import * as React from 'react';
import { IRecoil } from '../../index';
export interface ICheckboxProps extends IRecoil {
    onChange: (value: boolean, event?: React.MouseEvent<MouseEvent>) => void;
    checked: boolean;
    icon?: string;
    title?: string;
    loading?: boolean;
}
export default class Checkbox extends React.Component<ICheckboxProps> {
    static defaultProps: {
        checked: boolean;
    };
    toggleChecked: () => void;
    render(): JSX.Element;
}
