"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classNames = require("classnames");
var Button_1 = require("../Button/Button");
var Emerge_1 = require("../Emerge/Emerge");
var Loading = (function (_super) {
    __extends(Loading, _super);
    function Loading(props) {
        return _super.call(this, props) || this;
    }
    Loading.prototype.render = function () {
        var self = this;
        var props = self.props;
        var src = props.src, size = props.size, icon = props.icon;
        var loadingClass = classNames('r-Loading', 'loader', 'dinblock', props.className, size);
        if (props.if) {
            if (src)
                return (React.createElement("div", { className: loadingClass },
                    React.createElement("img", { height: props.height, width: props.width, src: src })));
            else {
                return (React.createElement("div", { className: loadingClass },
                    React.createElement("i", { className: "fa fa-circle-o-notch fa-spin" }),
                    icon ? (React.createElement(Emerge_1.default, { enter: "fadeIn" },
                        React.createElement(Button_1.default, { size: size, simple: true, className: "center-icon", icon: icon }))) : null));
            }
        }
        else
            return null;
    };
    return Loading;
}(React.Component));
exports.default = Loading;
//# sourceMappingURL=Loading.js.map