import * as React from 'react';
export declare type NotificationType = 'success' | 'primary' | 'error' | 'default';
export interface INotificationItem {
    template: string | JSX.Element;
    type?: NotificationType;
    id?: number;
}
export interface INotificationProps {
    item: INotificationItem;
}
export interface INotificationState {
    view?: 'visible' | 'hiding' | 'removed';
    time?: number;
    isOn?: boolean;
    start: number;
}
export default class Notification extends React.Component<INotificationProps, INotificationState> {
    secondsRemaining: any;
    timer: any;
    constructor(props: any);
    startTimer(): void;
    stopTimer(): void;
    resetTimer(): void;
    componentDidMount(): void;
    stopAndResetTimer(): void;
    render(): JSX.Element;
}
