"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classNames = require("classnames");
var Portal_1 = require("../Portal/Portal");
var Notification_1 = require("./Notification");
var Notifications = (function (_super) {
    __extends(Notifications, _super);
    function Notifications() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Notifications.prototype.render = function () {
        var _a = this.props, className = _a.className, dataSource = _a.dataSource;
        var notificationClass = classNames('r-Notifications', 'w400px', 'dblock', className);
        return (React.createElement(Portal_1.default, { open: true, portalTemplate: React.createElement("div", { className: notificationClass }, dataSource.map(function (item, index) {
                return React.createElement(Notification_1.default, { item: item, key: index });
            })) }));
    };
    return Notifications;
}(React.Component));
exports.default = Notifications;
//# sourceMappingURL=Notifications.js.map