import * as React from 'react';
export interface IPagerProps {
    gotoPage?: (pageNumber: number, event?: React.MouseEvent<HTMLElement>) => void;
    currentPage?: number;
    changePageSize?: (pageSizeAmount: number, event?: React.MouseEvent<HTMLElement>) => void;
    numberOfPages?: number;
    numberPerPage?: number;
    firstPage?: any;
    nextPage?: any;
    lastPage?: any;
    previousPage?: any;
    dataSource?: Array<Object>;
    pageSize?: number;
    onPageChange?: (pageNumber: number, event?: React.MouseEvent<any>) => void;
    pageSizerOptions?: Array<number>;
    hidePageSize?: boolean;
    rowCount?: number;
    showDataSourceLength?: boolean;
    hideHeader?: boolean;
    title?: string;
    pagerSize?: number;
    className?: string;
    pageSizeDropDirection?: string;
}
export default class Pager extends React.Component<IPagerProps, {}> {
    gotoPage(pageNumber: number): void;
    onSelected(pageSizeAmount: number): void;
    renderPager(page: number, pageCount: number, pagerSize: number): any[];
    render(): JSX.Element;
}
