import * as React from 'react';
export interface IPortalProps {
    portalId?: string;
    portal?: JSX.Element;
    open?: boolean;
    onClose?: () => void;
    title?: string;
    icon?: string;
    portalType?: string;
    initialized: boolean;
    portalTemplate?: JSX.Element;
}
export default class PortalContent extends React.Component<IPortalProps, any> {
    static defaultProps: {
        portalType: string;
    };
    portalElement: HTMLElement;
    constructor(props: any);
    componentDidUpdate(prevProps: any, prevState: any): void;
    initPortal(): void;
    render(): any;
}
