"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Open_1 = require("../Open/Open");
var Button_1 = require("../Button/Button");
var Toolbar_1 = require("../Toolbar/Toolbar");
var Utils_1 = require("../Utils");
var Tags = (function (_super) {
    __extends(Tags, _super);
    function Tags(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            dataSource: props.dataSource || [],
            open: false
        };
        return _this;
    }
    Tags.prototype.componentDidUpdate = function (prevProps) {
        if (prevProps.dataSource !== this.props.dataSource) {
            this.setState({
                dataSource: this.props.dataSource,
                open: true
            });
        }
        if (!!prevProps.dataSource && this.props.dataSource.length === 0 && prevProps.dataSource.length !== 0) {
            this.setState({
                open: false
            });
        }
    };
    Tags.prototype.onRemove = function (item) {
        this.props.onRemove(item);
    };
    Tags.prototype.render = function () {
        var _this = this;
        var _array = [];
        var createList = function (item, index) {
            _array.push(React.createElement(Toolbar_1.default, { flush: true, key: index, className: "mr10" },
                React.createElement(Button_1.default, { size: "small" }, _this.props.branchIn ? Utils_1.branchIn(item, _this.props.branchIn) : item),
                React.createElement(Button_1.default, { size: "small", icon: "times", onClick: _this.onRemove.bind(_this, item) })));
        };
        if (!!this.state.dataSource) {
            this.state.dataSource.map(createList);
        }
        return (React.createElement(Open_1.default, { openToHeight: '32px', if: this.state.open && !!this.state.dataSource },
            React.createElement(Toolbar_1.default, { block: true, className: "text-left" }, _array)));
    };
    return Tags;
}(React.Component));
exports.default = Tags;
//# sourceMappingURL=Tags.js.map