import * as React from 'react';
import { IRecoil } from '../../index';
export interface IToggleProps extends IRecoil {
    name?: string;
    array?: Array<string | number>;
    onChange?: (event: React.FormEvent<HTMLInputElement>) => void;
    iconArray?: Array<string>;
    type?: string;
    right?: boolean;
    selected?: Array<Object>;
    value?: string | string[];
    label?: string | number;
    disabled?: boolean;
    loading?: boolean;
}
export default class Toggle extends React.Component<IToggleProps, any> {
    static defaultProps: {
        checked: any;
    };
    constructor(props: IToggleProps);
    static getDerivedStateFromProps(props: any, state: any): {
        checked: any;
    };
    onChange: (event: React.FormEvent<HTMLInputElement>) => void;
    changeSelected(item: Array<any>): void;
    render(): JSX.Element;
}
