"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ShortCutProvider_1 = require("../ShortCut/ShortCutProvider");
var Button_1 = require("./Button");
var ShortcutButton = (function (_super) {
    __extends(ShortcutButton, _super);
    function ShortcutButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ShortcutButton.prototype.render = function () {
        var self = this;
        var props = self.props;
        return (React.createElement(ShortCutProvider_1.ShortcutContext.Consumer, null, function (shortCutInitKey) {
            return React.createElement(Button_1.default, __assign({ shortCutInitKey: shortCutInitKey }, props));
        }));
    };
    return ShortcutButton;
}(React.Component));
exports.default = ShortcutButton;
//# sourceMappingURL=ShortcutButton.js.map