"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Table_1 = require("../Table/Table");
var DropdownContentType = (function (_super) {
    __extends(DropdownContentType, _super);
    function DropdownContentType() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DropdownContentType.prototype.render = function () {
        var self = this;
        var props = self.props;
        var id = props.id, children = props.children, open = props.open, disableSelectedElements = props.disableSelectedElements, dataSource = props.dataSource, focusOnMount = props.focusOnMount, hideHeader = props.hideHeader, rowIsSelectable = props.rowIsSelectable, selectedElements = props.selectedElements, selectedKey = props.selectedKey, pageSizerOptions = props.pageSizerOptions, columns = props.columns, onSort = props.onSort, sortable = props.sortable, hidePageSize = props.hidePageSize, pageSize = props.pageSize, rowCount = props.rowCount, page = props.page, onPageChange = props.onPageChange, searchableKeys = props.searchableKeys, searchTitle = props.searchTitle, contentMaxHeight = props.contentMaxHeight, onRowSelect = props.onRowSelect, filterOpenDetailTemplate = props.filterOpenDetailTemplate, sortKey = props.sortKey, hideFooter = props.hideFooter, scrollToId = props.scrollToId, scrollIf = props.scrollIf, checkable = props.checkable, onCheck = props.onCheck, parentId = props.parentId, hideRoot = props.hideRoot;
        var dropdownTypePartial;
        var tableProps = {
            disableSelectedElements: disableSelectedElements,
            id: id,
            portal: true,
            dataSource: dataSource,
            focusOnMount: focusOnMount,
            hideHeader: hideHeader,
            rowIsSelectable: rowIsSelectable,
            selectedElements: selectedElements,
            selectedKey: selectedKey,
            pageSizerOptions: pageSizerOptions,
            columns: columns,
            onSort: onSort,
            hidePageSize: hidePageSize,
            pageSize: pageSize ? pageSize : dataSource ? dataSource.length : pageSize,
            rowCount: rowCount,
            page: page,
            onPageChange: onPageChange,
            searchableKeys: searchableKeys,
            searchTitle: searchTitle,
            contentMaxHeight: contentMaxHeight,
            onRowSelect: onRowSelect,
            filterOpenDetailTemplate: filterOpenDetailTemplate,
            sortKey: sortKey,
            sortable: sortable,
            hideFooter: hideFooter,
            scrollToId: scrollToId,
            scrollIf: scrollIf,
            scrollY: true,
            checkable: checkable,
            onCheck: onCheck
        };
        var treeProps = {
            dataSource: dataSource,
            columns: columns,
            onRowSelect: onRowSelect,
            selectedElements: selectedElements,
            selectedKey: selectedKey,
            filterOpenDetailTemplate: filterOpenDetailTemplate,
            parentId: parentId,
            hideRoot: hideRoot
        };
        if (props.dataSource) {
            dropdownTypePartial = React.createElement(Table_1.default, __assign({}, tableProps));
        }
        else {
            dropdownTypePartial = children;
        }
        return open ? dropdownTypePartial : null;
    };
    return DropdownContentType;
}(React.Component));
exports.default = DropdownContentType;
//# sourceMappingURL=DropdownContentType.js.map