import * as React from 'react';
import { IRecoil } from '../..';
export interface ILayerProps extends IRecoil {
    border?: boolean;
    overflow?: boolean;
    left?: boolean;
    right?: boolean;
    scrollY?: boolean;
    scrollX?: boolean;
    style?: Object;
    onClick?: () => void;
    key?: string | number;
    parent?: boolean;
    child?: boolean;
    dimensions?: [string, string, number];
    scrollToId?: string;
    beforeAnimate?: () => void;
    afterAnimate?: () => void;
    nightmode?: boolean;
    scrollIf?: boolean;
    scroll?: boolean;
    offset?: number;
    shadow?: boolean;
    flexCenter?: boolean;
    onScroll?: any;
    id?: string;
    borderRadius?: boolean;
    dropShadow?: boolean;
    length?: number;
    scrollToBottom?: boolean;
}
declare const _default: {
    new (props: any): {
        styleObject: any[];
        componentDidMount(): void;
        componentDidUpdate(prevProps: any): void;
        convertClassToStyle(classNames: any, currentClassIndex?: number): any;
        render(): JSX.Element;
        setState<K extends string | number | symbol>(state: any, callback?: () => void): void;
        forceUpdate(callBack?: () => void): void;
        props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<any>;
        context: any;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<any>, nextState: Readonly<any>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<any>, prevState: Readonly<any>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<any>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<any>, nextState: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<any>, nextState: Readonly<any>, nextContext: any): void;
    };
};
export default _default;
