import * as React from 'react';
import { IRecoil } from '../../index';
export interface ILayerProps extends IRecoil {
    border?: boolean;
    overflow?: boolean;
    left?: boolean;
    right?: boolean;
    scrollY?: boolean;
    scrollX?: boolean;
    style?: Object;
    onClick?: () => void;
    key?: string | number;
    parent?: boolean;
    child?: boolean;
    dimensions?: [string, string, number];
    nightmode?: boolean;
    scroll?: boolean;
    offset?: number;
    shadow?: boolean;
    flexCenter?: boolean;
    onScroll?: any;
    id?: string;
    borderRadius?: boolean;
    dropShadow?: boolean;
    length?: number;
}
declare class Layer extends React.Component<ILayerProps, any> {
    refs: {
        [key: string]: Element;
        Layer: HTMLElement;
    };
    static defaultProps: {
        overflow: boolean;
        type: string;
        left: boolean;
        right: boolean;
        border: string;
        flexCenter: boolean;
    };
    render(): JSX.Element;
}
export default Layer;
