"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Allowed_1 = require("./Allowed");
var StepThrough_1 = require("./StepThrough");
exports.OOCSS = function () { return function (Component) {
    var result = (function (_super) {
        __extends(YourComponentName, _super);
        function YourComponentName(props) {
            var _this = _super.call(this, props) || this;
            _this.state = {
                style: {}
            };
            _this.styleObject = [];
            return _this;
        }
        YourComponentName.prototype.componentDidMount = function () {
            var oocss = this.props.oocss;
            oocss ? this.convertClassToStyle(oocss) : null;
        };
        YourComponentName.prototype.componentDidUpdate = function (prevProps) {
            if (prevProps.oocss !== this.props.oocss) {
                this.convertClassToStyle(this.props.oocss);
            }
        };
        YourComponentName.prototype.convertClassToStyle = function (classNames, currentClassIndex) {
            var _this = this;
            var classesArray = classNames.split(' ');
            var classIndex = currentClassIndex || 0;
            var amountOfClasses = classesArray.length;
            var currentClass = classesArray[classIndex];
            if (classIndex < amountOfClasses) {
                StepThrough_1.stepThrough(currentClass)
                    .shiftKey(Allowed_1.allowedKeys)
                    .shiftValue(Allowed_1.allowedValues, function (data) {
                    _this.styleObject.push(data);
                })
                    .shiftMeasurement();
                return this.convertClassToStyle(classNames, classIndex + 1);
            }
            else {
                this.setState({
                    style: Object.assign.apply(Object, [{}].concat(this.styleObject))
                });
            }
        };
        YourComponentName.prototype.render = function () {
            return React.createElement(Component, __assign({}, this.props, { style: Object.assign({}, this.state.style, this.props.style) }));
        };
        return YourComponentName;
    }(React.Component));
    return result;
}; };
//# sourceMappingURL=OOCSS.js.map