import * as React from 'react';
export interface IPortalProps {
    portalId?: string;
    portal?: JSX.Element;
    open?: boolean;
    onClose?: () => void;
    title?: string;
    icon?: string;
    portalType?: string;
    portalTemplate?: JSX.Element;
}
export default class Portal extends React.Component<IPortalProps, any> {
    static defaultProps: {
        portalType: string;
    };
    portalElement: HTMLElement;
    render(): JSX.Element;
}
