"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var PortalProvider_1 = require("./PortalProvider");
var PortalContent_1 = require("./PortalContent");
var Portal = (function (_super) {
    __extends(Portal, _super);
    function Portal() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.portalElement = null;
        return _this;
    }
    Portal.prototype.render = function () {
        var _this = this;
        return (React.createElement(PortalProvider_1.PortalContext.Consumer, null, function (initialized) {
            return React.createElement(PortalContent_1.default, __assign({ initialized: initialized }, _this.props));
        }));
    };
    Portal.defaultProps = {
        portalType: 'SlideIn'
    };
    return Portal;
}(React.Component));
exports.default = Portal;
//# sourceMappingURL=Portal.js.map