"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var get_ua_data_1 = require("./get-ua-data");
var create = require("./types");
var type = create.checkType(get_ua_data_1.device.type);
exports.default = (function () {
    var isBrowser = type.isBrowser, isMobile = type.isMobile, isTablet = type.isTablet;
    if (isBrowser) {
        return create.broPayload(isBrowser, get_ua_data_1.browser, get_ua_data_1.engine, get_ua_data_1.os, get_ua_data_1.ua);
    }
    if (isMobile) {
        return create.mobilePayload(type, get_ua_data_1.device, get_ua_data_1.os, get_ua_data_1.ua);
    }
    if (isTablet) {
        return create.mobilePayload(type, get_ua_data_1.device, get_ua_data_1.os, get_ua_data_1.ua);
    }
});
//# sourceMappingURL=detect.js.map