export declare const checkType: (type: any) => {
    isMobile: boolean;
    isTablet: boolean;
    isBrowser: boolean;
} | {
    isMobile: boolean;
    isTablet?: undefined;
    isBrowser?: undefined;
} | {
    isTablet: boolean;
    isMobile?: undefined;
    isBrowser?: undefined;
} | {
    isBrowser: boolean;
    isMobile?: undefined;
    isTablet?: undefined;
};
export declare const getCurrentBrowser: (name: any) => boolean;
export declare const broPayload: (isBrowser: any, browser: any, engine: any, os: any, ua: any) => {
    isBrowser: any;
    browserMajorVersion: any;
    browserFullVersion: any;
    browserName: any;
    engineName: any;
    engineVersion: any;
    osName: any;
    osVersion: any;
    userAgent: any;
};
export declare const mobilePayload: (type: any, device: any, os: any, ua: any) => {
    type: any;
    vendor: any;
    model: any;
    os: any;
    osVersion: any;
    ua: any;
};
