"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var classNames = require("classnames");
var Selectable = (function (_super) {
    __extends(Selectable, _super);
    function Selectable() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Selectable.prototype.render = function () {
        var props = this.props;
        var checked = props.checked, type = props.type;
        var selectableClass = classNames('r-Selectable', 'r-Selectable__border', type, { checked: checked });
        return React.createElement("div", { tabIndex: -1, className: selectableClass });
    };
    Selectable.defaultProps = {
        type: 'primary'
    };
    return Selectable;
}(React.Component));
exports.default = Selectable;
//# sourceMappingURL=Selectable.js.map