"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Align_1 = require("../Align/Align");
var Shrink_1 = require("../Shrink/Shrink");
var Stepper = (function (_super) {
    __extends(Stepper, _super);
    function Stepper() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Stepper.prototype.render = function () {
        var self = this;
        var props = self.props;
        var className = props.className;
        var itemArray = [];
        var createList = function (item, index) {
            if (item !== null) {
                if (index === props.children.length - 1) {
                    itemArray.push(React.createElement(Shrink_1.default, { key: index, opacity: 50, scale: 1, if: index > props.stepIndex },
                        React.createElement("div", null, item)));
                }
                else {
                    itemArray.push(React.createElement(Shrink_1.default, { key: index, opacity: 50, scale: 1, if: index > props.stepIndex },
                        React.createElement("div", null, item)), React.createElement(Shrink_1.default, { key: index, opacity: 50, scale: 1, if: index > props.stepIndex },
                        React.createElement("div", { className: index > props.stepIndex - 1 ? 'flex-step e-gray' : 'flex-step' })));
                }
            }
            else
                return null;
        };
        props.children.map(createList);
        return (React.createElement("div", { className: 'r-Stepper dblock w100 ' + className },
            props.title ? React.createElement("h5", null, props.title) : null,
            React.createElement(Align_1.default, { className: props.align === 'top' ? 'e-align-top' : 'middle', vertical: props.vertical }, itemArray)));
    };
    return Stepper;
}(React.Component));
exports.default = Stepper;
//# sourceMappingURL=Stepper.js.map